Skip to main content
POST

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Headers

api_key
string
Example:

"8af9a5a0e6338fbafd8d2fa7a688fd16363cc865c6e6ede3002d041c2613cb99"

Path Parameters

customerId
string
required

The customer's unique ID. Returned in the customer_id field of the Create Customer (POST /customers/add) response. To retrieve a list of all customers and their IDs, use the Get Customers (GET /customers) endpoint.

Body

application/json
amount
string
required
Example:

"4.00"

merchant_key
string
required

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

order_id
string
required
Example:

"512345"

isRequestCard
boolean
Example:

true

preauth
boolean
Example:

false

invoice_number
string
Example:

"345"

allow_card
boolean
default:true

Allow card as a payment method. At least one of allow_card or allow_ach must be true — setting both to false will result in an error.

Example:

true

allow_ach
boolean
default:true

Allow ACH as a payment method. At least one of allow_card or allow_ach must be true — setting both to false will result in an error.

Example:

true

Response

Authorization Request Customer / Request Card With Customer

data
object
message
string
Example:

"Text request has been sent"

result
boolean
Example:

true